MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024806Open CASCADE[OCCT] OCCT:Codingpublic2014-04-08 09:252016-04-20 15:48
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024806: Extend macro DEFINE_STANDARD_RTTI by additional argument specifying base class
DescriptionIn order to convert implementation of OCCT Handles and RTTI from code expanded by macros to template classes, we need to have information on base class for each descendant of Transient class (in its hierarchy). For this, macro DEFINE_STANDARD_RTTI should be extended by additional (second) argument specifying its base class.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024947closedabv Redesign OCCT legacy type system 
related to 0024816closedabv Tool for upgrading OCCT and dependent code 
child of 0024023closedabv Revamp the OCCT Handle 

-  Notes
(0029641)
abv (manager)
2014-06-03 08:24
edited on: 2015-08-26 11:49

Fix is pushed to branch CR24806 in WOK, and is part of branch CR24947 in OCCT

(0044645)
abv (manager)
2015-08-26 11:53

Integrated with 0024947 in OCCT; changes in WOK are in branch CR0_700_2

- Issue History
Date Modified Username Field Change
2014-04-08 09:25 abv New Issue
2014-04-08 09:25 abv Assigned To => kgv
2014-04-08 09:27 abv Relationship added child of 0024023
2014-04-10 09:52 abv Relationship added related to 0024816
2014-05-22 12:27 abv Assigned To kgv => abv
2014-05-22 12:27 abv Status new => assigned
2014-06-03 08:24 abv Note Added: 0029641
2014-06-03 08:24 abv Status assigned => resolved
2014-06-03 08:24 abv Relationship added related to 0024947
2015-08-26 11:49 abv Note Edited: 0029641 View Revisions
2015-08-26 11:50 abv Assigned To abv => bugmaster
2015-08-26 11:50 abv Status resolved => reviewed
2015-08-26 11:53 abv Note Added: 0044645
2015-08-26 11:53 abv Status reviewed => verified
2015-08-26 11:53 abv Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker